► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 6 | Snip and Style Classes

6.1 | add-color<%>
6.2 | image-snip%
6.3 | mult-color<%>
6.4 | readable-snip<%>
6.5 | snip%
6.6 | snip-admin%
6.7 | snip-class%
6.8 | snip-class-list<%>
6.9 | string-snip%
6.10 | style<%>
6.11 | style-delta%
6.12 | style-list%
6.13 | tab-snip%

On this page:

get
get-b
get-g
get-r
set
set-b
set-g
set-r

top ← prev up next →

> interface

> mult-color<%> : interface?

A mult-color<%> object is used to scale the RGB values of a color% object. A mult-color<%> object exist only within a style-delta% object.

See also get-foreground-mult and get-background-mult.

> > method

> > ( send a-mult-color get r g b) → void?

> r : ( box/c real? )
> g : ( box/c real? )
> b : ( box/c real? )

Gets all of the scaling values.

The r box is filled with the scaling value for the red component of the color. The g box is filled with the scaling value for the green component of the color. The b box is filled with the scaling value for the blue component of the color.

> > method

> > ( send a-mult-color get-b ) → real?

Gets the multiplicative scaling value for the blue component of the color.

> > method

> > ( send a-mult-color get-g ) → real?

Gets the multiplicative scaling value for the green component of the color.

> > method

> > ( send a-mult-color get-r ) → real?

Gets the multiplicative scaling value for the red component of the color.

> > method

> > ( send a-mult-color set r g b) → void?

> r : real?
> g : real?
> b : real?

Sets all of the scaling values.

> > method

> > ( send a-mult-color set-b v) → void?

> v : real?

Sets the multiplicative scaling value for the blue component of the color.

> > method

> > ( send a-mult-color set-g v) → void?

> v : real?

Sets the multiplicative scaling value for the green component of the color.

> > method

> > ( send a-mult-color set-r v) → void?

> v : real?

Sets the additive value for the red component of the color.
top ← prev up next →